Public Member Functions | Public Attributes | Friends | List of all members
MacWrtProParserInternal::Token Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions
| Token ()

## Public Attributes
int | m_type
| the type More...
int | m_length
| the text length More...
int | m_blockId
| the block id More...
MWAWBox2f | m_box
| the bdbox ( filled in MWII for figure) More...
int | m_flags [4]
| some flags More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

## ◆ Token()

MacWrtProParserInternal::Token::Token | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_blockId

int MacWrtProParserInternal::Token::m_blockId

the block id

Referenced by MacWrtProParser::readTextTokens().

## ◆ m_box

MWAWBox2f MacWrtProParserInternal::Token::m_box

the bdbox ( filled in MWII for figure)

Referenced by MacWrtProParser::readTextTokens().

## ◆ m_flags

int MacWrtProParserInternal::Token::m_flags[4]

some flags

Referenced by MacWrtProParser::readTextTokens().

## ◆ m_length

int MacWrtProParserInternal::Token::m_length

the text length

Referenced by MacWrtProParser::readTextTokens().

## ◆ m_type

int MacWrtProParserInternal::Token::m_type

the type

Referenced by MacWrtProParser::readTextTokens().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx